For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create a new delivery provider

Create a new delivery provider

Required permissions: DELIVERY_METHOD

post
/tenants/{tenantUid}/delivery-providers
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Body
namestringRequired
externalIdstringOptional
deliveryProviderUidstringOptionalPattern: ^[A-Za-z0-9-_]+
Responses
201

Example response

application/json
namestringRequired
externalIdstringRequired
deliveryProviderUidstringRequiredPattern: ^[A-Za-z0-9-_]+
post/tenants/{tenantUid}/delivery-providers
POST /v2/tenants/{tenantUid}/delivery-providers HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 64

{
  "name": "text",
  "externalId": "text",
  "deliveryProviderUid": "text"
}
201

Example response

{
  "name": "text",
  "externalId": "text",
  "deliveryProviderUid": "text"
}

Last updated

Was this helpful?